<?
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Редактирование пользователей
=============================================
Official website: http://shcms.ru
=============================================
 Данный код защищен авторскими правами
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
    if($_GET['id'])
	{
	    $id =$_GET['id'];
	}
    if ($id && $id != $user_id) 
	{
        $mysql_vu = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
    if (mysql_num_rows($mysql_vu)) 
	{
        $user = mysql_fetch_assoc($mysql_vu); 
	    $shcmsengine['title'] = 'Профиль пользователя: '.$user['login'];
	} 
        else 
	    {
        $shcmsengine['title'] = 'Не зарегистрирован';
        include_once'../template/head.php';
        echo '<div class="errors">У нас еще не зарегистрирован такой пользователь</div>';
        include_once'../template/foot.php';
        exit();
        }
	} 
	else
	{
        $id = false;
        $shcmsengine['title'] = 'Мой профиль';
        $user = $datauser;
    }
    include_once'../template/head.php';
    $user_an = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`= '$id'"));
	
    if(!$user_id and !$id)
	{
	    errors('Пользователь не зарегестрирован');
		include_once'../template/foot.php';
		exit;
	}
     /*
	 ======================================
     Если пользователь в бане выведется
   	 функция которая указана внизу
	 ======================================
     */
	 
    $bans1 = mysql_query("SELECT * FROM `ban_users` WHERE `user_id` = '$id' ORDER BY `id` DESC LIMIT 2");
    $bans = mysql_fetch_array($bans1);
    $users_bans = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='$bans[id_admin]'"));
    
	    if($bans['time_1'] > time()) 
		{
            do 
			{
                echo '<div class="posts">';
                echo 'Забанил: '.$users_bans['login'].'<br/>';
                echo 'Нарушение: '.$bans['prichina'].'<br/>';
                echo 'Причина бана: '.$bans['text'].'<br/>';
                echo 'Начала бана: '.$timedate->times($bans['time_2']).'<br/>';
                echo 'Окончание бана: '.$timedate->times($bans['time_1']).'';
                echo '</div>';
			}
            while($bans = mysql_fetch_array($bans1));
        }
		else
		{
            echo false;
        }
		
/*
 ======================================
  Вывод аватара если загружена она
 ======================================
*/
    if(is_file('../avatar/files/'.$user['id'].'.jpg')) 
	{
        echo '<img class="image_avatar" src="../avatar/files/'.$user['id'].'.jpg"/><br/>';
	}
        echo '<div class="posts">';
        echo $users_position->admin_position().'<br/>';
//Имя пользователя
    if($user['name']){
	    echo 'Имя: '.$user['name'].'<br/>';
	}
//Фамилия пользователя
    if($user['last_name']){
        echo 'Фамилия: '.$user['last_name'].'<br/>';
	}
//Пол пользователя
        echo 'Пол: ';
    if($user['pol'] == 1){
        echo 'Мужской';
	} elseif($user['pol'] == 2) {
        echo 'Женский';
	}
     echo '<br/>';
//ICQ
    if($user['poc_icq'] == NULL and $id && $id != $user_id) {
        echo 'ICQ: ?<br/>';
	}else {
    if($user['icq'])
	{
        echo "<img src='http://wwp.icq.com/scripts/online.dll?icq=".$user['icq']."&amp;img=27' alt='' /> ".$user['icq']."<br />";
    }
	    }
//Skype
    if($user['skype']) {
        echo "<img src=\"http://mystatus.skype.com/smallicon/".$user['skype']."\" width=\"16\" height=\"16\"/> <a href=\"skype:".$user['skype']."?chat\">".$user['skype']."</a><br />";
    }
 //E-mail
    if($user['poc_email']  == NULL and $id && $id != $user_id) {
        echo 'E-mail: ?<br/>';
	} else {
    if($user['email']) {
        echo "<img src='http://status.mail.ru/?".$user['email']."' width='13' height='13' alt='' /> <a href='mailto:".$user['email']."'>".$user['email']."</a><br />";
    }}
    if($user['poc_wmid'] == NULL and $id && $id != $user_id){
        echo 'WMID: ?<br/>';
	} else {
    if($user['wmid']) {
        echo 'WMID: <a href="http://passport.webmoney.ru/asp/certview.asp?wmid='.$user['wmid'].'">'.$user['wmid'].'</a>';
        echo " BL:<img src=\"https://stats.wmtransfer.com/Levels/pWMIDLevel.aspx?wmid=$user[wmid]\&w=35&h=18\" width='35' height='16' /></a><br />\n";
	}}
    if($user['description']) {
	    echo "О себе: ".$user['description']."<br/>";
    }
	echo '</div>';
        //Баллы
        echo '<div class="posts">Баллов: '.$user['ball'].'<br/>';
        echo 'Регистрация: '.$timedate->times($user['datereg']);
        echo '<br/>Последний визит: '.$timedate->times($user['datelast']);
        echo '</div>';

	if(isset($user_id) and $id == false)
    {
        echo '<div class="posts"><a href="'.DIR_SHCMS.'change_profile.php?id='.$user_id.'">Изменить анкету</a></div>';
    }
	elseif(isset($user_id) and $id == true)
    {
        echo '<div class="posts"><a href="'.DIR_SHCMS.'mails.php?act=message&id='.$user['id'].'">Написать сообщение</div>';
    }
    //Забанить
    if($user4['team'] == 6 and $user_id and $id == true) {
	    echo '<div class="posts"><a href="/admin_list/ban.php?id='.$user['id'].'">Забанить</a></div>';
	}

	include_once'../template/foot.php';
?>